package ibase.dashboard.ejb;
import java.rmi.RemoteException;

import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;
import javax.ejb.Remote;
import org.json.simple.JSONObject;

@Remote
public interface SalesPerformanceRemote extends ValidatorRemote
{
	public JSONObject getMetaData() throws RemoteException, ITMException ;
	public JSONObject getGridData(String dataSourceName,String year,String month) throws RemoteException, ITMException;
	public JSONObject getSalesGraphData(String dataSourceName,String year,String month) throws RemoteException, ITMException;
	public JSONObject getProfitGraphData(String dataSourceName ,String year,String month) throws RemoteException, ITMException;
	public JSONObject getExpenseGraphData(String dataSourceName ,String year,String month) throws RemoteException, ITMException;

}
